## cinnamon 1.4-UP3

=== Makefile ===
# Makefile.in generated by automake 1.11.3 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
# Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



pkgdatadir = $(datadir)/cinnamon
pkgincludedir = $(includedir)/cinnamon
pkglibdir = $(libdir)/cinnamon
pkglibexecdir = $(libexecdir)/cinnamon
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
subdir = .
DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in $(srcdir)/config.h.in \
	$(top_srcdir)/configure $(top_srcdir)/files/Makefile.in \
	$(top_srcdir)/js/misc/config.js.in ABOUT-NLS AUTHORS COPYING \
	NEWS config/compile config/config.guess config/config.rpath \
	config/config.sub config/depcomp config/install-sh \
	config/ltmain.sh config/missing
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/gettext.m4 \
	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/intlmacosx.m4 \
	$(top_srcdir)/m4/intltool.m4 $(top_srcdir)/m4/lib-ld.m4 \
	$(top_srcdir)/m4/lib-link.m4 $(top_srcdir)/m4/lib-prefix.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/nls.m4 \
	$(top_srcdir)/m4/po.m4 $(top_srcdir)/m4/progtest.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES = js/misc/config.js files/Makefile
CONFIG_CLEAN_VPATH_FILES =
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN   " $@;
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-dvi-recursive install-exec-recursive \
	install-html-recursive install-info-recursive \
	install-pdf-recursive install-ps-recursive install-recursive \
	installcheck-recursive installdirs-recursive pdf-recursive \
	ps-recursive uninstall-recursive
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
	distdir dist dist-all distcheck
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  if test -d "$(distdir)"; then \
    find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
      && rm -rf "$(distdir)" \
      || { sleep 5 && rm -rf "$(distdir)"; }; \
  else :; fi
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
GZIP_ENV = --best
DIST_ARCHIVES = $(distdir).tar.xz
distuninstallcheck_listfiles = find . -type f -print
am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
  | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} /Sandbox/Cinnamon/config/missing --run aclocal-1.11
ALL_LINGUAS = 
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
AR = ar
AUTOCONF = ${SHELL} /Sandbox/Cinnamon/config/missing --run autoconf
AUTOHEADER = ${SHELL} /Sandbox/Cinnamon/config/missing --run autoheader
AUTOMAKE = ${SHELL} /Sandbox/Cinnamon/config/missing --run automake-1.11
AWK = mawk
BLUETOOTH_LIBS = -Wl,--rpath=/usr/lib/gnome-bluetooth -L/usr/lib/gnome-bluetooth -lgnome-bluetooth-applet
BROWSER_PLUGIN_CFLAGS = -pthread -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/include/json-glib-1.0  
BROWSER_PLUGIN_DIR = ${libdir}/mozilla/plugins
BROWSER_PLUGIN_LIBS = -ljson-glib-1.0 -lgio-2.0 -lgobject-2.0 -lglib-2.0  
CALENDAR_SERVER_CFLAGS = -pthread -DCAMEL_HAVE_NSS -DCAMEL_HAVE_SSL -I/usr/include/libxml2 -I/usr/include/gconf/2 -I/usr/include/libsoup-2.4 -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/include/dbus-1.0 -I/usr/lib/x86_64-linux-gnu/dbus-1.0/include -I/usr/include/gtk-3.0 -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/freetype2 -I/usr/include/pixman-1 -I/usr/include/libpng12 -I/usr/include/nss -I/usr/include/nspr -I/usr/include/evolution-data-server-3.2  
CALENDAR_SERVER_LIBS = -lecal-1.2 -lical -licalss -licalvcal -ledataserverui-3.0 -lgtk-3 -lebook-1.2 -lgdk-3 -latk-1.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lcairo-gobject -lpango-1.0 -lcairo -lcamel-1.2 -ledataserver-1.2 -lsqlite3 -lnss3 -lnssutil3 -lsmime3 -lssl3 -lplds4 -lplc4 -lnspr4 -lpthread -ldl -lxml2 -lgconf-2 -lsoup-2.4 -lgio-2.0 -lgobject-2.0 -lglib-2.0  
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -Wall -Wmissing-prototypes -Werror
CINNAMON_CFLAGS = -pthread -D_REENTRANT -DMUFFIN_MAJOR_VERSION=3 -DMUFFIN_MINOR_VERSION=2 -DMUFFIN_MICRO_VERSION=1 -DMUFFIN_PLUGIN_API_VERSION=3 -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/include/gio-unix-2.0/ -I/usr/include/dbus-1.0 -I/usr/lib/x86_64-linux-gnu/dbus-1.0/include -I/usr/include/libxml2 -I/usr/include/gtk-3.0 -I/usr/include/pango-1.0 -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/freetype2 -I/usr/include/pixman-1 -I/usr/include/libpng12 -I/usr/include/gee-1.0 -I/usr/include/clutter-1.0 -I/usr/include/cogl -I/usr/include/json-glib-1.0 -I/usr/include/libdrm -I/usr/include/nspr -I/usr/include/gstreamer-0.10 -I/usr/include/gconf/2 -I/usr/include/libsoup-2.4 -I/usr/include/startup-notification-1.0 -I/usr/include/telepathy-logger-0.2 -I/usr/include/polkit-1 -I/usr/include/gnome-keyring-1 -I/usr/include/telepathy-1.0 -I/usr/include/muffin -I/usr/include/gjs-1.0 -I/usr/include/gobject-introspection-1.0 -I/usr/include/js -I/usr/include/gnome-menus-3.0 -I/usr/include/libnm-glib -I/usr/include/NetworkManager  
CINNAMON_HOTPLUG_SNIFFER_CFLAGS = -pthread -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/libpng12  
CINNAMON_HOTPLUG_SNIFFER_LIBS = -lgio-2.0 -lgdk_pixbuf-2.0 -lgobject-2.0 -lglib-2.0  
CINNAMON_LIBS = -pthread -Wl,--export-dynamic -lfolks -lgee -lmuffin -lgtk-3 -lgjs -lmozjs185 -lplds4 -lplc4 -lnspr4 -ldl -lgnome-menu-3 -lgstbase-0.10 -lgstreamer-0.10 -lgconf-2 -lsoup-2.4 -lGL -lclutter-1.0 -latk-1.0 -lcogl-pango -ljson-glib-1.0 -lgdk-3 -lXi -lcogl -ldrm -lX11 -lXext -lXdamage -lXcomposite -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lcairo-gobject -lpango-1.0 -lcairo -lstartup-notification-1 -lgirepository-1.0 -lgmodule-2.0 -lgthread-2.0 -lffi -lcanberra -ltelepathy-logger -ltelepathy-glib -lxml2 -lpolkit-agent-1 -lpolkit-gobject-1 -lgio-2.0 -lXfixes -lnm-glib -lnm-util -ldbus-glib-1 -ldbus-1 -lpthread -lrt -lgobject-2.0 -lgnome-keyring -lglib-2.0  
CINNAMON_PERF_HELPER_CFLAGS = -pthread -I/usr/include/gtk-3.0 -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/libpng12  
CINNAMON_PERF_HELPER_LIBS = -lgtk-3 -lgdk-3 -latk-1.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lcairo-gobject -lpango-1.0 -lcairo -lgio-2.0 -lgobject-2.0 -lglib-2.0  
CINNAMON_SYSTEM_CA_FILE = /etc/ssl/certs/ca-certificates.crt
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DATADIRNAME = share
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DESKTOP_SCHEMAS_CFLAGS = -I/usr/include/gsettings-desktop-schemas  
DESKTOP_SCHEMAS_LIBS =  
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FGREP = /bin/grep -F
GCONFTOOL = /usr/bin/gconftool-2
GCONF_SCHEMA_CONFIG_SOURCE = xml:merged:/etc/gconf/gconf.xml.defaults
GCONF_SCHEMA_FILE_DIR = $(sysconfdir)/gconf/schemas
GDMUSER_CFLAGS = -pthread -I/usr/include/dbus-1.0 -I/usr/lib/x86_64-linux-gnu/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/include/gtk-3.0 -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/freetype2 -I/usr/include/pixman-1 -I/usr/include/libpng12  
GDMUSER_LIBS = -ldbus-glib-1 -ldbus-1 -lpthread -lrt -lgtk-3 -lgdk-3 -latk-1.0 -lgio-2.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lcairo-gobject -lpango-1.0 -lcairo -lgobject-2.0 -lglib-2.0  
GETTEXT_MACRO_VERSION = 0.17
GETTEXT_PACKAGE = cinnamon
GIRDIR = /usr/share/gir-1.0
GJS_CONSOLE = /usr/bin/gjs-console
GJS_VERSION = 1.32.0
GLIB_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include  
GLIB_COMPILE_RESOURCES = /usr/lib/x86_64-linux-gnu/glib-2.0/glib-compile-resources
GLIB_COMPILE_SCHEMAS = /usr/lib/x86_64-linux-gnu/glib-2.0/glib-compile-schemas
GLIB_GENMARSHAL = glib-genmarshal
GLIB_LIBS = -lglib-2.0  
GLIB_MKENUMS = glib-mkenums
GMSGFMT = /usr/bin/msgfmt
GMSGFMT_015 = /usr/bin/msgfmt
GOBJECT_QUERY = gobject-query
GREP = /bin/grep
GSETTINGS_DISABLE_SCHEMAS_COMPILE = 
GVC_CFLAGS = -D_REENTRANT -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include  
GVC_LIBS = -lpulse-mainloop-glib -lpulse -lgobject-2.0 -lglib-2.0  
G_IR_COMPILER = /usr/bin/g-ir-compiler
G_IR_GENERATE = /usr/bin/g-ir-generate
G_IR_SCANNER = /usr/bin/g-ir-scanner
HAVE_BLUETOOTH = 1
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INTLLIBS = 
INTLTOOL_EXTRACT = /usr/bin/intltool-extract
INTLTOOL_MERGE = /usr/bin/intltool-merge
INTLTOOL_PERL = /usr/bin/perl
INTLTOOL_UPDATE = /usr/bin/intltool-update
INTLTOOL_V_MERGE = $(INTLTOOL__v_MERGE_$(V))
INTLTOOL_V_MERGE_OPTIONS = $(intltool__v_merge_options_$(V))
INTLTOOL__v_MERGE_ = $(INTLTOOL__v_MERGE_$(AM_DEFAULT_VERBOSITY))
INTLTOOL__v_MERGE_0 = @echo "  ITMRG " $@;
INTL_MACOSX_LIBS = 
INTROSPECTION_CFLAGS = -pthread -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/include/gobject-introspection-1.0  
INTROSPECTION_COMPILER = /usr/bin/g-ir-compiler

=== debian/changelog ===
cinnamon (1.4-UP3) maya; urgency=low

  * 1.4 UP3

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 20 May 2012 11:05:35 +0100

cinnamon (1.4-UP2) maya; urgency=low

  * 1.4 UP2

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 18 May 2012 18:35:28 +0100

cinnamon (1.4-UP1) maya; urgency=low

  * 1.4 UP1

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 13 May 2012 23:43:22 +0100

cinnamon (1.4.0) lisa; urgency=low

  * New Cinnamon release

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 13 Mar 2012 16:11:41 +0000

cinnamon (1.3.1) lisa; urgency=low

  * New Cinnamon release

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 20 Feb 2012 10:14:59 +0000

cinnamon (1.3.0) lisa; urgency=low

  * New Cinnamon release

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 17 Feb 2012 14:55:12 +0000

cinnamon (1.2.0) lisa; urgency=low

  * New Cinnamon release

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 23 Jan 2012 14:10:38 +0000

cinnamon (1.1.3) lisa; urgency=low

  * Menu improvements: The search entry isn't cleared anymore when the menu is closed
  * Menu improvements: Clearing the search entry now resets the search results
  * Menu improvements: Context menu for applications and favorites to "Add to panel", "Add to desktop", "Add/Remove to/from favorites"
  * Panel Launchers improvements: Custom launchers don't appear in the menu anymore and are store separately
  * Panel Launchers improvements: Application launchers can be added by right-clicking on apps in the menu and selecting "Add to panel"
  * Panel Launchers improvements: The Panel Launchers applet refreshes automatically when launchers are added/removed
  * Visual improvements: The space between panel applets was reduced to 4px
  * Visual improvements: Improved menu look & feel (less margins, system buttons merged with favorites..etc)
  * Visual improvements: Reduced overall font size to 9.5pt (we're targeting PC users not mobile phones)
  * Visual improvements: Windows in overview now feature icons for easier recognition
  * Visual improvements: The notifications were moved a bit in order not to appear on top of window buttons when a window is maximized
  * Visual improvements: Thumbnails from theme.json files in Gnome Shell themes are now used
  * Visual improvements: Improved dialog for adding custom launchers
  * Visual improvements: Panel Launchers now have tooltips
  * Network Manager Applet improvements: Switching Ethernet off now actually disconnects the device
  * Network Manager Applet improvements: Switching Wireless off now actually disconnects the device
  * Bug fixes: Critical: Cinnamon doesn't crash anymore when a theme was unreadable due to permission problems
  * Bug fixes: Themes: Themes in ~/.themes are now detected
  * Bug fixes: Panel: New default size for status icons (fixes issue with Gnome Shell themes where an icon could get too big)
  * Bug fixes: Window List: A bug which prevented LibreOffice applications from showing an icon was fixed
  * Bug fixes: Dual Monitors: Fixed a bug which prevented the mouse pointer from moving from the primary monitor to the secondary monitor
  * New configuration options: The menu text ("Menu") is now configurable via gsettings (at "org.cinnamon menu-text")
  * New configuration options: The panel can now auto-hide (this is turned OFF by default and available via gsettings at "org.cinnamon panel-autohide")
  * New configuration options: The Overview Hot Corner can be disabled (it is enabled by default and this is available via gsettings at "org.cinnamon overview-corner-hover")
  * New configuration options: The Overview Icon can be disabled (it is enabled by default and this is available via gsettings at "org.cinnamon overview-corner-visible")

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 01 Jan 2012 21:52:36 +0000

cinnamon (1.1.2) lisa; urgency=low

  * Feature: New Panel Launchers applet (alpha, adding apps launchers is done via gsettings)
  * Feature: New Themes selection tab in overview (stable)
  * Performance: Telepathy client and Calendar server are not run/used anymore
  * Performance: Minimizing and restoring windows is much faster. This is especially visible when using the "showDesktop" applet
  * Visual: Removed search entry from overview
  * Visual: Easier to read calendar applet
  * Visual: Fixed blurry tooltips in windowlist
  * Critical: Fixed memory leak (which made Cinnamon use a lot of memory and the whole system eventually becoming really slow)
  * Critical: Fixed important packaging bug preventing sound applet to work after a media player was launched (affected users and distributions using the .deb packages)
  * Critical: Added missing files in data's and js' Makefile.am (for users and distributions not using the .deb packages)
  * Critical: Fixed frozen menu when applications or favorites changed

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 23 Dec 2011 12:23:36 +0000

cinnamon (1.1.1) lisa; urgency=low

  * Fix: Added missing panelLaunchers.js

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 21 Dec 2011 18:29:29 +0000

cinnamon (1.1.0) lisa; urgency=low

  * Fixed run dialog
  * Fixed sound devices disappearing in sound applet
  * Fixed amarok support in sound applet
  * Hide sound applet when media player is launched
  * Alt tab is now window-centric
  * Alt tab uses window titles
  * Added Ctrl+Alt+Up/Down keybindings to show overview screen
  * Added panel launchers applet (with terminal so far and no configuration so far..)
  * Many small visual improvements made to default theme

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 21 Dec 2011 17:43:55 +0000

cinnamon (1.0.0) lisa; urgency=low

  * Initial version (based on gnome-shell 3.2.1)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 20 Dec 2011 14:10:34 +0000

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: cinnamon
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Gustavo Noronha Silva <gustavo.noronha@collabora.co.uk>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Build-Depends: cdbs,
               debhelper (>= 7),
               autotools-dev,
               gnome-pkg-tools (>= 0.11),
               intltool,
               libgjs-dev (>= 1.29.18),
               gvfs-backends,
               gobject-introspection (>= 1.29.15),
               gir1.2-json-1.0,
               gnome-bluetooth (>= 3.1.0),
               gsettings-desktop-schemas-dev (>= 0.1.7),
               libcaribou-dev,
               libcroco3-dev (>= 0.6.2),
               libdbus-glib-1-dev,
               libgconf2-dev,
               libgirepository1.0-dev (>= 1.29.15),
               libglib2.0-dev (>= 2.25.9),
               libglib2.0-bin (>= 2.25.11),
               libgnome-bluetooth-dev (>= 3.1.0),
               libgnome-desktop-3-dev (>= 2.90.0),
               libgnome-keyring-dev,
               libgnome-menu-3-dev,
               libgstreamer0.10-dev (>= 0.10.16),
               libgtk-3-dev (>= 3.0.0),
               libgudev-1.0-dev,
               libnm-glib-dev (>= 0.8.999),
               libstartup-notification0-dev (>= 0.11),
               libmuffin-dev (>= 1.0.2),
               librsvg2-dev,
               libwnck-dev,
               libclutter-1.0-dev (>= 1.7.5),
               libxfixes-dev (>= 1:5.0),
               libxss-dev,
               libpulse-dev,
               libcanberra-dev,
               libecal1.2-dev (>= 2.32),
               libedataserver1.2-dev (>= 3.0.0),
               libedataserverui-3.0-dev (>= 3.0.0),
               libfolks-dev (>= 0.5.2),
               libtelepathy-glib-dev (>= 0.15.5),
               libtelepathy-logger-dev (>= 0.2.4),
               libpolkit-agent-1-dev (>= 0.100),
               libjson-glib-dev (>= 0.13.2)
Standards-Version: 3.9.1
Homepage: http://live.gnome.org/Cinnamon

Package: cinnamon
Architecture: any
Depends: ${gir:Depends},
         gjs (>= 1.29.18),
         ${shlibs:Depends},
         ${misc:Depends},
         caribou,
         cups-pk-helper,
         gnome-settings-daemon (>= 2.91.5.1),
         gsettings-desktop-schemas (>= 0.1.7),
         gnome-icon-theme-symbolic (>= 2.91),
         ${icon-theme:Depends},
         gir1.2-accountsservice-1.0,
         gir1.2-gconf-2.0,
         gir1.2-gkbd-3.0,
         gir1.2-gnomebluetooth-1.0,
         gir1.2-networkmanager-1.0,
         gir1.2-polkit-1.0,
         gir1.2-soup-2.4,
         gir1.2-upowerglib-1.0,
         python,
         python-dbus,
         pkg-config,
         mesa-utils
Recommends: gnome-control-center, gnome-user-guide, gnome-themes-standard, gnome-session-fallback
Breaks: gnome-control-center (<< 1:3.0)
Conflicts: cinnamon-session, cinnamon-settings
Provides: cinnamon-session, cinnamon-settings
Replaces: cinnamon-session, cinnamon-settings
Description: Cinnamon desktop
 Cinnamon redefines user interactions with the GNOME desktop.
 In particular, it offers new paradigms for launching applications,
 accessing documents, and organizing open windows in GNOME. Later, it
 will introduce a new applets eco-system and offer new solutions for
 other desktop features, such as notifications and contacts
 management. Cinnamon is intended to replace functions handled
 by the GNOME Panel and by the window manager in previous versions of
 GNOME. Cinnamon has rich visual effects enabled by new
 graphical technologies.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

ifeq ($(cinnamon dpkg-vendor --query vendor),Ubuntu)
	DEB_DH_GENCONTROL_ARGS += -- -Vicon-theme:Depends=gnome-icon-theme-full
endif

$(patsubst %,binary-predeb/%,$(DEB_ALL_PACKAGES)) ::
	dh_girepository -p$(cdbs_curpkg) -l src -p /usr/lib/muffin \
		/usr/lib/cinnamon
	find debian/$(cdbs_curpkg) -name '*.la' -exec rm -f '{}' ';'

DEB_CONFIGURE_EXTRA_FLAGS += --enable-compile-warnings=yes

DEB_DH_MAKESHLIBS_ARGS_cinnamon = -Xlibcinnamon
DEB_SHLIBDEPS_INCLUDE = /usr/lib/gnome-bluetooth

=== debian/watch ===
version=3
http://download.gnome.org/sources/cinnamon/([\d\.]+)/cinnamon-(.*)\.tar\.bz2

## cinnamon 1.6.2

=== debian/changelog ===
cinnamon (1.6.2-1) unstable; urgency=low

  * Initial release. (Closes: #657395)

 -- Nicolas Bourdaud <nicolas.bourdaud@gmail.com>  Thu, 01 Nov 2012 17:49:55 +0100

=== debian/control ===
Source: cinnamon
Section: x11
Priority: optional
Maintainer: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>
Uploaders: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               gnome-pkg-tools (>= 0.11),
               gnome-common,
               intltool,
               libgjs-dev (>= 1.29.18),
               gvfs-backends,
               gobject-introspection (>= 1.29.15),
               gir1.2-json-1.0,
               gsettings-desktop-schemas-dev (>= 0.1.7),
               libcaribou-dev,
               libcroco3-dev (>= 0.6.2),
               libdbus-glib-1-dev,
               libgconf2-dev,
               libgirepository1.0-dev (>= 1.29.15),
               libglib2.0-dev (>= 2.25.9),
               libglib2.0-bin (>= 2.25.11),
               libgnome-desktop-3-dev (>= 2.90.0),
               libgnome-keyring-dev,
               libgnome-bluetooth-dev,
               libgnome-menu-3-dev,
               libgstreamer0.10-dev (>= 0.10.16),
               libgtk-3-dev (>= 3.0.0),
               libgudev-1.0-dev,
               libnm-glib-dev (>= 0.8.999),
               libstartup-notification0-dev (>= 0.11),
               libmuffin-dev (>= 1.0.6),
               librsvg2-dev,
               libwnck-dev,
               libclutter-1.0-dev (>= 1.7.5),
               libxfixes-dev (>= 1:5.0),
               libxss-dev,
               libpulse-dev,
               libcanberra-dev,
               libecal1.2-dev (>= 2.32),
               libedataserver1.2-dev (>= 3.0.0),
               libedataserverui-3.0-dev (>= 3.0.0),
               libfolks-dev (>= 0.5.2),
               libtelepathy-glib-dev (>= 0.15.5),
               libtelepathy-logger-dev (>= 0.2.4),
               libpolkit-agent-1-dev (>= 0.100),
               libjson-glib-dev (>= 0.13.2),
               python
Standards-Version: 3.9.3
Vcs-Git: git://github.com/nbourdau/pkg-cinnamon.git
Vcs-Browser: https://github.com/nbourdau/pkg-cinnamon
Homepage: http://cinnamon.linuxmint.com

Package: cinnamon
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends},
         cinnamon-common (= ${source:Version}), 
         gnome-session-bin,
         gjs (>= 1.29.18),
         caribou,
         cups-pk-helper,
         gnome-settings-daemon (>= 2.91.5.1),
         gsettings-desktop-schemas (>= 0.1.7),
         gnome-icon-theme-symbolic (>= 2.91),
         gkbd-capplet,
         gir1.2-accountsservice-1.0,
         gir1.2-gconf-2.0,
         gir1.2-gkbd-3.0,
         gir1.2-gnomebluetooth-1.0,
         gir1.2-networkmanager-1.0,
         gir1.2-polkit-1.0,
         gir1.2-soup-2.4,
         gir1.2-upowerglib-1.0,
         python-gconf,
         python-lxml,
         mesa-utils
Recommends: gnome-control-center
Breaks: gnome-control-center (<< 1:3.0)
Description: Innovative and comfortable desktop
 Cinnamon is a desktop environment which provides advanced innovative
 features and a traditional user experience.
 .
 The desktop layout is similar to GNOME 2.  The underlying technology is
 forked from gnome-shell.  The emphasis is put on making users feel at home
 and providing them with an easy to use and comfortable desktop experience.

Package: cinnamon-common
Architecture: all
Depends: ${misc:Depends}, python
Description: Innovative and comfortable desktop (Common data files)
 Cinnamon is a desktop environment which provides advanced innovative
 features and a traditional user experience.
 .
 The desktop layout is similar to GNOME 2.  The underlying technology is
 forked from gnome-shell.  The emphasis is put on making users feel at home
 and providing them with an easy to use and comfortable desktop experience.
 .
 This package contains the data files needed by Cinnamon

Package: cinnamon-dbg
section: debug
Priority: extra
Architecture: any
Depends: cinnamon (= ${binary:Version}), ${misc:Depends}
Description: Innovative and comfortable desktop (Debugging symbols)
 Cinnamon is a desktop environment which provides advanced innovative
 features and a traditional user experience.
 .
 The desktop layout is similar to GNOME 2.  The underlying technology is
 forked from gnome-shell.  The emphasis is put on making users feel at home
 and providing them with an easy to use and comfortable desktop experience.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed

# To avoid running configure twice (because gnome-autogen.sh)
export NOCONFIGURE=yes

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  DH_PARALLEL_OPTION=--parallel
endif

%:
	dh  $@ --with autoreconf,python2 $(DH_PARALLEL_OPTION)


override_dh_autoreconf:
	dh_autoreconf --as-needed ./autogen.sh

override_dh_auto_configure:
	dh_auto_configure -- --enable-compile-warnings=no \
	                     --disable-schemas-install \
			     --disable-silent-rules

# Disable check since upstream do not use them
override_dh_auto_test:

override_dh_install:
	dh_install -X.la

override_dh_python2:
	dh_python2 /usr/lib/cinnamon-menu-editor
	dh_python2 /usr/lib/cinnamon-settings

override_dh_strip:
	dh_strip --dbg-package=cinnamon-dbg

override_dh_makeshlibs:
	dh_makeshlibs -Xplugin

override_dh_shlibdeps:
	dh_shlibdeps
	dh_girepository -l src -p/usr/lib/$(DEB_HOST_MULTIARCH)/muffin /usr/lib/$(DEB_HOST_MULTIARCH)/cinnamon

=== debian/watch ===
version=3
opts="dversionmangle=s/\+repack//;s/\+dfsg//;s/\+up[0-9]//" \
  http://githubredir.debian.net/github/linuxmint/cinnamon/(\d[\.\d]+).tar.gz \
  debian sh debian/repack.stub

## cinnamon 1.6.7

=== debian/changelog ===
cinnamon (1.6.7-2) unstable; urgency=low

  * new patch: network-user-connection.patch
    Set connections and passwords as user-owned, following matching changes
    in nm-applet and gnome-control-center. (Closes: #698571)
  * Remove caribou as dependency. (LP: #1106062) 
  * Restrict libgudev-glib-dev and libnm-glib-dev build-dependencies to
    Linux platforms: should fix the build on FreeBSD and Hurd.

 -- Nicolas Bourdaud <nicolas.bourdaud@gmail.com>  Thu, 07 Feb 2013 13:40:30 +0100

cinnamon (1.6.7-1) unstable; urgency=low

  * New upstream cinnamon_1.6.7
     - Fix keyboard settings applet. (Closes: #695217)
  * Remove the useless dependency of cinnamon on cups-pk-helper
  * Update debian/watch: stop using redirector (thanks to Bart Martens)
  * Add libgl1-mesa-dev as build depends: should fix build on ARM
  * Build bluetooth support only on Linux architectures.
  * Add python-dbus and python-imaging dependencies. (Closes: #693935)
  * Do not install browser plugin in multiarch folder. (Closes: #695338) 
  * Install translation files in the standard folder. (Closes: #695286)
    new patch: fix-gettext-files-path.patch
  * Move packaging git repo to Alioth. 
  * Use rpath to fix the use of libgnome-bluetooth. (Closes: #695408)
     - update: disable-bluetooth-applet-hack.patch

 -- Nicolas Bourdaud <nicolas.bourdaud@gmail.com>  Tue, 11 Dec 2012 18:24:48 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
                gobject-introspection (>= 1.29.15),
                gir1.2-json-1.0,
                gsettings-desktop-schemas-dev (>= 0.1.7),
-               libcaribou-dev,
                libcroco3-dev (>= 0.6.2),
                libdbus-glib-1-dev,
                libgconf2-dev,
@@ -22,12 +21,12 @@
                libglib2.0-bin (>= 2.25.11),
                libgnome-desktop-3-dev (>= 2.90.0),
                libgnome-keyring-dev,
-               libgnome-bluetooth-dev,
+               libgnome-bluetooth-dev [linux-any],
                libgnome-menu-3-dev,
                libgstreamer0.10-dev (>= 0.10.16),
                libgtk-3-dev (>= 3.0.0),
-               libgudev-1.0-dev,
-               libnm-glib-dev (>= 0.8.999),
+               libgudev-1.0-dev [linux-any],
+               libnm-glib-dev (>= 0.8.999) [linux-any],
                libstartup-notification0-dev (>= 0.11),
                libmuffin-dev (>= 1.0.6),
                librsvg2-dev,
@@ -45,10 +44,11 @@
                libtelepathy-logger-dev (>= 0.2.4),
                libpolkit-agent-1-dev (>= 0.100),
                libjson-glib-dev (>= 0.13.2),
+               libgl1-mesa-dev,
                python
 Standards-Version: 3.9.3
-Vcs-Git: git://github.com/nbourdau/pkg-cinnamon.git
-Vcs-Browser: https://github.com/nbourdau/pkg-cinnamon
+Vcs-Git: git://anonscm.debian.org/pkg-cinnamon/cinnamon.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-cinnamon/cinnamon.git
 Homepage: http://cinnamon.linuxmint.com
 
 Package: cinnamon
@@ -61,8 +61,6 @@
          cinnamon-common (= ${source:Version}), 
          gnome-session-bin,
          gjs (>= 1.29.18),
-         caribou,
-         cups-pk-helper,
          gnome-settings-daemon (>= 2.91.5.1),
          gsettings-desktop-schemas (>= 0.1.7),
          gnome-icon-theme-symbolic (>= 2.91),
@@ -70,13 +68,15 @@
          gir1.2-accountsservice-1.0,
          gir1.2-gconf-2.0,
          gir1.2-gkbd-3.0,
-         gir1.2-gnomebluetooth-1.0,
-         gir1.2-networkmanager-1.0,
+         gir1.2-gnomebluetooth-1.0 [linux-any],
+         gir1.2-networkmanager-1.0 [linux-any],
          gir1.2-polkit-1.0,
          gir1.2-soup-2.4,
          gir1.2-upowerglib-1.0,
          python-gconf,
          python-lxml,
+         python-dbus,
+         python-imaging,
          mesa-utils
 Recommends: gnome-control-center
 Breaks: gnome-control-center (<< 1:3.0)

=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,8 @@
 override_dh_auto_configure:
 	dh_auto_configure -- --enable-compile-warnings=no \
 	                     --disable-schemas-install \
-			     --disable-silent-rules
+			     --disable-silent-rules \
+	                     BROWSER_PLUGIN_DIR=/usr/lib/mozilla/plugins
 
 # Disable check since upstream do not use them
 override_dh_auto_test:

## cinnamon 1.7.3

=== debian/changelog ===
cinnamon (1.7.3-1) unstable; urgency=low

  * New upstream cinnamon_1.7.3
  * Allow notification action. (Closes: #698418)
    - new patch: reenable-notification-action.patch
  * Speed up menu loading on some hardware. (Closes: #702761)
    - new patch: remove-background-bumpmap.patch (Thanks to Paul Brook)

 -- Nicolas Bourdaud <nicolas.bourdaud@gmail.com>  Wed, 03 Apr 2013 10:16:17 +0200

cinnamon (1.7.2-1) unstable; urgency=low

  * New upstream cinnamon_1.7.2
    - Fix clock text dropshadow. (Closes: #694688)
  * Add python-pyinotify dependency. (Closes: #702239)
  * Improve cinnamon-screensaver-lock-dialog manpage. (Closes: #702237) 
  * Add various missing gir dependencies.
  * Handle missing bindings with cinnamon-settings. (Closes: #702281)
    - new patch: handle-missing-bindings.patch (thanks to Stephan Sürken)

 -- Nicolas Bourdaud <nicolas.bourdaud@gmail.com>  Fri, 15 Mar 2013 22:39:29 +0100

cinnamon (1.7.1-1) unstable; urgency=low

  [ Laszlo Boszormenyi (GCS) ]
  * Bump debian policy version to 3.9.4: no changes 
  * Enable hardening compilation flags

  [ Nicolas Bourdaud ]
  * New upstream cinnamon_1.7.1
  * Set cinnnamon as alternative for x-window-manager (Closes: #700896)
  * Add missing dependency to gir1.2-caribou-1.0.
    (Fixes LP: #1106062 and LP: #1126721)
  * Remove embedded jquery version. new patch: remove-embbeded-jquery.patch
  * Make cinnamon-looking-glass runnable without GTK+-3.6
    - new patch: remove-gtk-menubutton.patch
  * Do not display mdmsetup in cinnamon-settings:
    - new patch: no-mdmsetup-settings.patch
  * Provides manpage for cinnamon-looking-glass and
    cinnamon-screensaver-lock-dialog.
  * Bump minimal version of libmuffin-dev build-depends to 1.7.1

 -- Nicolas Bourdaud <nicolas.bourdaud@gmail.com>  Sun, 03 Mar 2013 23:35:50 +0100

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>
 Uploaders: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
 Build-Depends: debhelper (>= 9),
+               dpkg-dev (>= 1.16.1~),
                dh-autoreconf,
                gnome-pkg-tools (>= 0.11),
                gnome-common,
@@ -25,10 +26,13 @@
                libgnome-menu-3-dev,
                libgstreamer0.10-dev (>= 0.10.16),
                libgtk-3-dev (>= 3.0.0),
+               libwebkitgtk-3.0-dev,
+               libjavascriptcoregtk-3.0-dev,
                libgudev-1.0-dev [linux-any],
                libnm-glib-dev (>= 0.8.999) [linux-any],
                libstartup-notification0-dev (>= 0.11),
-               libmuffin-dev (>= 1.0.6),
+               libcaribou-dev,
+               libmuffin-dev (>= 1.7.1),
                librsvg2-dev,
                libwnck-dev,
                libclutter-1.0-dev (>= 1.7.5),
@@ -46,7 +50,7 @@
                libjson-glib-dev (>= 0.13.2),
                libgl1-mesa-dev,
                python
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Vcs-Git: git://anonscm.debian.org/pkg-cinnamon/cinnamon.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-cinnamon/cinnamon.git
 Homepage: http://cinnamon.linuxmint.com
@@ -70,16 +74,31 @@
          gir1.2-gkbd-3.0,
          gir1.2-gnomebluetooth-1.0 [linux-any],
          gir1.2-networkmanager-1.0 [linux-any],
+         gir1.2-gnomedesktop-3.0,
+         gir1.2-gtkclutter-1.0,
+         gir1.2-cogl-1.0,
+         gir1.2-gtk-3.0,
+         gir1.2-gmenu-3.0,
+         gir1.2-glib-2.0,
+         gir1.2-gdkpixbuf-2.0,
+         gir1.2-clutter-1.0,
+         gir1.2-pango-1.0,
          gir1.2-polkit-1.0,
          gir1.2-soup-2.4,
          gir1.2-upowerglib-1.0,
+         gir1.2-caribou-1.0,
+         gir1.2-javascriptcoregtk-3.0,
+         gir1.2-webkit-3.0,
+         libjs-jquery,
          python-gconf,
          python-lxml,
          python-dbus,
          python-imaging,
+         python-pyinotify,
          mesa-utils
 Recommends: gnome-control-center
 Breaks: gnome-control-center (<< 1:3.0)
+Provides: x-window-manager
 Description: Innovative and comfortable desktop
  Cinnamon is a desktop environment which provides advanced innovative
  features and a traditional user experience.

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,10 @@
 #export DH_VERBOSE=1
 
 export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+
 
 # To avoid running configure twice (because gnome-autogen.sh)
 export NOCONFIGURE=yes
@@ -35,6 +39,8 @@
 override_dh_python2:
 	dh_python2 /usr/lib/cinnamon-menu-editor
 	dh_python2 /usr/lib/cinnamon-settings
+	dh_python2 /usr/lib/cinnamon-looking-glass
+	dh_python2 /usr/lib/cinnamon-screensaver-lock-dialog
 
 override_dh_strip:
 	dh_strip --dbg-package=cinnamon-dbg

## cinnamon 1.7.4

=== debian/changelog ===
cinnamon (1.7.4-2ubuntu3) saucy; urgency=low

  * Remove obsolete libedataserver-3.0-dev BD 

 -- Iain Lane <iain.lane@canonical.com>  Fri, 31 May 2013 09:48:28 +0100

cinnamon (1.7.4-2ubuntu2) saucy; urgency=low

  * No-change rebuild against latest gnome-desktop3 

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 28 May 2013 08:19:04 -0400

cinnamon (1.7.4-2ubuntu1) saucy; urgency=low

  * Add missing consolekit dependency.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 01 May 2013 12:23:01 -0700

cinnamon (1.7.4-2) unstable; urgency=low

  * Fix dependency on python-gi-cairo (Closes: #705903)

 -- Nicolas Bourdaud <nicolas.bourdaud@gmail.com>  Thu, 25 Apr 2013 13:12:41 +0200

cinnamon (1.7.4-1) unstable; urgency=low

  * New upstream cinnamon_1.7.4
    - menu-editor: Use GLib.Error for catching errors (Closes: #704835)
    - delete patch remove-gtk-menubutton.patch (rendered useless)
    - delete patch reenable-notification-action.patch (applied upstream)
  * Remove unused imports from cinnamon-settings (Closes: #704919)
    - new patch: delete-unused-imports.patch
  * Remove useless dependencies (gir1.2-gtkclutter-1.0)
  * Add dependency on python-gi-cairo

 -- Nicolas Bourdaud <nicolas.bourdaud@gmail.com>  Sun, 21 Apr 2013 13:17:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: cinnamon
 Section: x11
 Priority: optional
-Maintainer: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>
 Uploaders: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
 Build-Depends: debhelper (>= 9),
                dpkg-dev (>= 1.16.1~),
@@ -42,7 +43,6 @@
                libcanberra-dev,
                libecal1.2-dev (>= 2.32),
                libedataserver1.2-dev (>= 3.0.0),
-               libedataserverui-3.0-dev (>= 3.0.0),
                libfolks-dev (>= 0.5.2),
                libtelepathy-glib-dev (>= 0.15.5),
                libtelepathy-logger-dev (>= 0.2.4),
@@ -75,7 +75,6 @@
          gir1.2-gnomebluetooth-1.0 [linux-any],
          gir1.2-networkmanager-1.0 [linux-any],
          gir1.2-gnomedesktop-3.0,
-         gir1.2-gtkclutter-1.0,
          gir1.2-cogl-1.0,
          gir1.2-gtk-3.0,
          gir1.2-gmenu-3.0,
@@ -93,8 +92,10 @@
          python-gconf,
          python-lxml,
          python-dbus,
+         python-gi-cairo,
          python-imaging,
          python-pyinotify,
+         consolekit,
          mesa-utils
 Recommends: gnome-control-center
 Breaks: gnome-control-center (<< 1:3.0)

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 endif
 
 %:
-	dh  $@ --with autoreconf,python2 $(DH_PARALLEL_OPTION)
+	dh  $@ --with autoreconf,python2,gir $(DH_PARALLEL_OPTION)
 
 
 override_dh_autoreconf:
@@ -48,6 +48,5 @@
 override_dh_makeshlibs:
 	dh_makeshlibs -Xplugin
 
-override_dh_shlibdeps:
-	dh_shlibdeps
+override_dh_girepository:
 	dh_girepository -l src -p/usr/lib/$(DEB_HOST_MULTIARCH)/muffin /usr/lib/$(DEB_HOST_MULTIARCH)/cinnamon

## cinnamon 1.8.2%2Bmaya

=== debian/changelog ===
cinnamon (1.8.2+maya) olivia; urgency=low

  * 1.8.2

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 07 May 2013 14:30:31 +0100

cinnamon (1.8.1) olivia; urgency=low

  * 1.8.1

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 07 May 2013 00:09:09 +0100

cinnamon (1.8.0) olivia; urgency=low

  * 1.8.0

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 05 May 2013 17:40:50 +0100

cinnamon (1.7.10) olivia; urgency=low

  * 1.7.10

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 03 May 2013 21:06:16 +0100

cinnamon (1.7.9) olivia; urgency=low

  * 1.7.9

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 03 May 2013 17:53:50 +0100

cinnamon (1.7.8) olivia; urgency=low

  * 1.7.8

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 30 Apr 2013 17:01:30 +0100

cinnamon (1.7.7) olivia; urgency=low

  * 1.7.7

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 28 Apr 2013 11:40:38 +0100

cinnamon (1.7.6) olivia; urgency=low

  * 1.7.6

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 27 Apr 2013 19:56:06 +0100

cinnamon (1.7.5) olivia; urgency=low

  * 1.7.5

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 27 Apr 2013 19:54:05 +0100

cinnamon (1.7.4) olivia; urgency=low

  * 1.7.4

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 15 Apr 2013 14:54:44 +0100

cinnamon (1.7.3) olivia; urgency=low

  * 1.7.3

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 22 Mar 2013 14:05:06 +0000

cinnamon (1.7.2) olivia; urgency=low

  * 1.7.2

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 05 Mar 2013 10:40:53 +0000

cinnamon (1.7.1) olivia; urgency=low

  * 1.7.1

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 21 Feb 2013 16:21:59 +0000

cinnamon (1.6.7) nadia; urgency=low

  * 1.6.7

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 14 Nov 2012 14:44:36 +0000

cinnamon (1.6.6) nadia; urgency=low

  * 1.6.6

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 06 Nov 2012 18:08:46 +0000

cinnamon (1.6.5) nadia; urgency=low

  * 1.6.5

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 05 Nov 2012 18:50:04 +0000

cinnamon (1.6.4) nadia; urgency=low

  * 1.6.4

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 24 Oct 2012 16:45:19 +0100

cinnamon (1.6.3) nadia; urgency=low

  * 1.6.3

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 20 Oct 2012 21:24:02 +0100

cinnamon (1.6.2) nadia; urgency=low

  * 1.6.2

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 18 Oct 2012 14:44:40 +0100

cinnamon (1.6.1) maya; urgency=low

  * 1.6.1

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 27 Sep 2012 14:32:57 +0100

cinnamon (1.6.0) maya; urgency=low

  * 1.6.0

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 17 Sep 2012 16:42:54 +0100

cinnamon (1.5.8) maya; urgency=low

  * 1.5.8

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 09 Sep 2012 13:36:26 +0100

cinnamon (1.5.7) maya; urgency=low

  * 1.5.7

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 05 Sep 2012 18:18:09 +0100

cinnamon (1.5.6) maya; urgency=low

  * 1.5.6

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 05 Sep 2012 16:25:33 +0100

cinnamon (1.5.5) maya; urgency=low

  * 1.5.5

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 05 Sep 2012 16:22:08 +0100

cinnamon (1.5.4) maya; urgency=low

  * 1.5.4

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 05 Sep 2012 12:31:55 +0100

cinnamon (1.5.3) maya; urgency=low

  * 1.5.3

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 29 Aug 2012 11:36:31 +0100

cinnamon (1.5.2) maya; urgency=low

  * 1.5.2

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 26 Jul 2012 23:27:00 +0100

cinnamon (1.5.1) maya; urgency=low

  * 1.5.1

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 26 Jul 2012 13:07:36 +0100

cinnamon (1.5.0) maya; urgency=low

  * 1.5.0

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 24 Jul 2012 15:52:06 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export LDFLAGS+=-Wl,--as-needed

# To avoid running configure twice (because gnome-autogen.sh)
export NOCONFIGURE=yes

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  DH_PARALLEL_OPTION=--parallel
endif

ifeq ($(cinnamon dpkg-vendor --query vendor),Ubuntu)
DH_GENCONTROL_ARGS = -Vicon-theme:Depends=gnome-icon-theme-full
endif

%:
	dh  $@ --with autoreconf,python2 $(DH_PARALLEL_OPTION)


override_dh_autoreconf:
	dh_autoreconf --as-needed ./autogen.sh

override_dh_auto_configure:
	dh_auto_configure -- --enable-compile-warnings=yes \
	                     --disable-schemas-install \
	                     BROWSER_PLUGIN_DIR=/usr/lib/mozilla/plugins

# Disable checks since they are not functional for the moment
override_dh_auto_test:

override_dh_install:
	dh_install -X.la

override_dh_strip:
	dh_strip --dbg-package=cinnamon-dbg

override_dh_makeshlibs:
	dh_makeshlibs -Xplugin

override_dh_shlibdeps:
	dh_shlibdeps
	dh_girepository -l src -p/usr/lib/muffin /usr/lib/cinnamon

override_dh_gencontrol:
	dh_gencontrol -- $(DH_GENCONTROL_ARGS)
